Updating a Custom Activity instance
A Custom Activity can be updated to add, change or remove any Custom Fields and to change the status between “draft” and “published”.
A Custom Activity can be pinned or unpinned by setting the pinned field to true or false when creating or updating a Custom Activity.
Custom Fields appear in the format: custom.{custom_field_id}. See Custom Fields.
Authentication
AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
id
Request
This endpoint expects an object.
activity_at
contact_id
pinned
status
Allowed values:
Response
Successful response
_type
activity_at
contact_id
created_by
custom_activity_type_id
date_created
date_updated
id
last_published_at
lead_id
mentions
mentions_updated_at
organization_id
pinned
pinned_at
source
How the object was created, e.g. ui in the Close app, api through the API, import by a bulk import, or by an integration.
status
Status of a Custom Activity. draft activities don’t require their required fields to be filled in yet.
Allowed values:
updated_by
user_id
users
comment_summary
created_by_agent_id
created_by_name
updated_by_agent_id
updated_by_name
user_name
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error